#encoding iso8859-1

; $Header: /cvs/stx/stx/libbasic/resources/en.rs,v 1.3 2013-07-04 19:23:06 stefan Exp $
;
; English date strings
;
; Notice: this file is also consulted as a fall back, in case
; national strings for error messages are missing.
; Therefore, all values are conditional ("?" before the value)

;
; POSIX error strings
;
'EPERM'             ?'Operation not permitted'
'ENOENT'            ?'No such file or directory'
'ESRCH'             ?'No such process'
'EINTR'             ?'Interrupted system call'
'EIO'               ?'I/O error'
'ENXIO'             ?'No such device or address'
'E2BIG'             ?'Arg list too long'
'ENOEXEC'           ?'Exec format error'
'EBADF'             ?'Bad file number'
'ECHILD'            ?'No child processes'
'EAGAIN'            ?'Try again'
'ENOMEM'            ?'Out of memory'
'EACCES'            ?'Permission denied'
'EFAULT'            ?'Bad address'
'EBUSY'             ?'Device or resource busy'
'EEXIST'            ?'File exists'
'EXDEV'             ?'Cross-device link'
'ENODEV'            ?'No such device'
'ENOTDIR'           ?'Not a directory'
'EISDIR'            ?'Is a directory'
'EINVAL'            ?'Invalid argument'
'ENFILE'            ?'File table overflow'
'EMFILE'            ?'Too many open files'
'ENOTTY'            ?'Not a typewriter'
'EFBIG'             ?'File too large'
'ENOSPC'            ?'No space left on device'
'ESPIPE'            ?'Illegal seek'
'EROFS'             ?'Read-only file system'
'EMLINK'            ?'Too many links'
'EPIPE'             ?'Broken pipe'
'EDOM'              ?'Math argument out of domain'
'ERANGE'            ?'Math result not representable'
'EDEADLK'           ?'Resource deadlock would occur'
'ENAMETOOLONG'      ?'File name too long'
'ENOLCK'            ?'No record locks available'
'ENOSYS'            ?'Function not implemented'
'ENOTEMPTY'         ?'Directory not empty'
'EILSEQ'            ?'Illegal byte sequence'
'ENOTBLK'           ?'Block device required'
'ETXTBSY'           ?'Text file busy'
'EWOULDBLOCK'       ?'Operation would block'
'ENOMSG'            ?'No message of desired type'
'ELOOP'             ?'Too many levels of symbolic links'
'ETIME'             ?'Timer expired'
'ENOSR'             ?'Out of streams resources'
'ENOSTR'            ?'Device not a stream'
'ECOMM'             ?'Communication error on send'
'EPROTO'            ?'Protocol error'
'ESTALE'            ?'Stale NFS file handle'
'EREMOTE'           ?'Too many levels of remote in path'
'EINPROGRESS'       ?'Operation now in progress'
'EALREADY'          ?'Operation already in progress'
'ENOTSOCK'          ?'Socket operation on non-socket'
'EDESTADDRREQ'      ?'Destination address required'
'EMSGSIZE'          ?'Message too long'
'EPROTOTYPE'        ?'Protocol wrong type for socket'
'ENOPROTOOPT'       ?'Protocol not available'
'EPROTONOSUPPORT'   ?'Protocol not supported'
'ESOCKTNOSUPPORT'   ?'Socket type not supported'
'EOPNOTSUPP'        ?'Operation not supported on socket'
'EPFNOSUPPORT'      ?'Protocol family not supported'
'EAFNOSUPPORT'      ?'Address family not supported by protocol family'
'EADDRINUSE'        ?'Address already in use'
'EADDRNOTAVAIL'     ?'Can''t assign requested address'
'ETIMEDOUT'         ?'Connection timed out'
'ECONNREFUSED'      ?'Connection refused'
'ENETDOWN'          ?'Network is down'
'ENETUNREACH'       ?'Network is unreachable'
'ENETRESET'         ?'Network dropped conn due to reset'
'ECONNABORTED'      ?'Software caused connection abort'
'ECONNRESET'        ?'Connection reset by peer'
'EISCONN'           ?'Socket is already connected'
'ENOTCONN'          ?'Socket is not connected'
'ESHUTDOWN'         ?'Can''t send after socket shutdown'
'EHOSTDOWN'         ?'Host is down'
'EHOSTUNREACH'      ?'No route to host'

#if OperatingSystem isVMSlike
;
; VMS error string(s)
;
'EVMSERR'           ?'VMS system request error'
#endif

#if OperatingSystem isMSWINDOWSlike
;
; Windows error strings
;
'ERROR_INVALID_FUNCTION'        ?'Invalid function'
'ERROR_BAD_FORMAT'              ?'Bad Format'
'ERROR_FILE_NOT_FOUND'          ?'File not found'
'ERROR_PATH_NOT_FOUND'          ?'Path not found'
'ERROR_TOO_MANY_OPEN_FILES'     ?'Too many open files'
'ERROR_OPEN_FAILED'             ?'Open failed'
'ERROR_ACCESS_DENIED'           ?'Access denied'
'ERROR_INVALID_HANDLE'          ?'Invalid handle'
'ERROR_NOT_ENOUGH_MEMORY'       ?'Not enough memory'
'ERROR_INVALID_ACCESS'          ?'Invalid access'
'ERROR_INVALID_DATA'            ?'Invalid data'
'ERROR_INVALID_NAME'            ?'Invalid name'
'ERROR_ARENA_TRASHED'           ?'Arena trashed'
'ERROR_OUTOFMEMORY'             ?'Out of memory'
'ERROR_BROKEN_PIPE'             ?'Broken pipe'
'ERROR_GEN_FAILURE'             ?'Generic failure'
'ERROR_WRITE_PROTECT'           ?'Write protected'
'ERROR_WRITE_FAULT'             ?'Write fault'
'ERROR_READ_FAULT'              ?'Read fault'
'ERROR_HANDLE_DISK_FULL'        ?'Disk full'
'ERROR_DISK_FULL'               ?'Disk full'
'ERROR_SHARING_VIOLATION'       ?'Sharing violation'
'ERROR_LOCK_VIOLATION'          ?'Lock violation'
'ERROR_INVALID_PARAMETER'       ?'Invalid parameter'
'ERROR_NET_WRITE_FAULT'         ?'Net write fault'
'ERROR_NOT_SUPPORTED'           ?'Unsopported network request'
'ERROR_REM_NOT_LIST'            ?'Remote computer not available'
'ERROR_NETWORK_ACCESS_DENIED'   ?'Network access denied'
'ERROR_DUP_NAME'                ?'Duplicate name on network'
'ERROR_BAD_NETPATH'             ?'Bad network path'
'ERROR_NETWORK_BUSY'            ?'Network busy'
'ERROR_DRIVE_LOCKED'            ?'Drive locked'
'ERROR_INVALID_DRIVE'           ?'Invalid Drive'
'ERROR_WRONG_DISK'              ?'Wrong disk(ette)'
'ERROR_CURRENT_DIRECTORY'       ?'Cannot remove current directory'
'ERROR_CANNOT_MAKE'             ?'Directory or file cannot be created'
'ERROR_NO_MORE_FILES'           ?'No more files'
'ERROR_NOT_READY'               ?'Device not ready'
'ERROR_NOT_DOS_DISK'            ?'Not a DOS disk'
'ERROR_OUT_OF_PAPER'            ?'Printer is out of paper'
'ERROR_PRINTQ_FULL'             ?'Printer queue is full'
'ERROR_FILE_EXISTS'             ?'File already exists'
#endif

MAY_ABBREV                      ? 'may'
